%define upstream_name    Net-Dropbox-API
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A dropbox API interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Random)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mouse)
BuildRequires: perl(Net::OAuth)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(common::sense)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-2.mga3
+ Revision: 370586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 1.900.0-1.mga3
+ Revision: 309576
- New version 1.9

* Mon Jun 04 2012 kharec <kharec> 1.800.0-1.mga3
+ Revision: 253959
- update to 1.8

* Tue Dec 06 2011 kharec <kharec> 1.700.0-1.mga2
+ Revision: 177853
- imported package perl-Net-Dropbox-API

